Failed generating link - undefined method `split' for nil:NilClass
Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases:  
Description

018-04-09T09:34:43 [I|app|] Started GET "/job_templates" for 10.35.2.157 at 2018-04-09 09:34:43 +0

100

2018-04-09T09:34:43 [I|app|4d492] Processing by JobTemplatesController#index as HTML

2018-04-09T09:34:43 [I|app|4d492] Current user: admin (administrator)

2018-04-09T09:34:43 [I|app|4d492]   Rendering /home/foreman/gems/bundler/gems/foreman_remote_execu

tion-dd29b6ccd1ac/app/views/job_templates/index.html.erb within layouts/application

2018-04-09T09:34:43 [I|app|4d492]   Rendered common/_pagination.html.erb (1.3ms)

2018-04-09T09:34:43 [W|app|4d492] Failed generating link using ["Cancel", "javascript:close_import

_job_template_modal();", {:class=>"btn btn-default"}]

 | NoMethodError: undefined method `split' for nil:NilClass

 | /home/foreman/git/foreman/app/helpers/application_helper.rb:14:in `link_to'

 | /home/foreman/git/foreman/app/helpers/form_helper.rb:262:in `block (2 levels) in submit_or_canc

el'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `block

 in capture'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:203:in `with

_output_buffer'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `captu

re'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/tag_helper.rb:272:in `content_

tag'

 | /home/foreman/git/foreman/app/helpers/form_helper.rb:259:in `block in submit_or_cancel'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `block

 in capture'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:203:in `with

_output_buffer'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `captu

re'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/tag_helper.rb:272:in `content_

tag'

 | /home/foreman/git/foreman/app/helpers/form_helper.rb:258:in `submit_or_cancel'

 | /home/foreman/gems/bundler/gems/foreman_remote_execution-dd29b6ccd1ac/app/views/job_templates/_

import_job_template_modal.html.erb:15:in `block in _d8b7efe59f67365c69b4e940781208a6'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `block

 in capture'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:203:in `with

_output_buffer'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/capture_helper.rb:39:in `captu

re'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/form_helper.rb:450:in `form_fo

r'

 | /home/foreman/git/foreman/app/helpers/form_helper.rb:296:in `form_for'

 | /home/foreman/gems/bundler/gems/foreman_remote_execution-dd29b6ccd1ac/app/views/job_templates/_

import_job_template_modal.html.erb:12:in `_d8b7efe59f67365c69b4e940781208a6'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/template.rb:157:in `block in render'
 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:168:in `instrum

ent'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/template.rb:352:in `instrument_render_

template'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/template.rb:155:in `render'

 | /home/foreman/gems/gems/deface-1.3.0/lib/deface/action_view_extensions.rb:41:in `render'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/partial_renderer.rb:342:in `b

lock in render_partial'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/abstract_renderer.rb:42:in `b

lock in instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `block i

n instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications/instrumenter.rb:21

:in `instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `instrum

ent'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/abstract_renderer.rb:41:in `i

nstrument'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/partial_renderer.rb:331:in `r

ender_partial'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/partial_renderer.rb:310:in `r

ender'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/renderer.rb:47:in `render_par

tial'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/renderer.rb:21:in `render'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/helpers/rendering_helper.rb:32:in `ren

der'

 | /home/foreman/gems/bundler/gems/foreman_remote_execution-dd29b6ccd1ac/app/views/job_templates/i

ndex.html.erb:37:in `_b2c8e0ca0c74e033d835f0b944622311'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/template.rb:157:in `block in render'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:168:in `instrum

ent'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/template.rb:352:in `instrument_render_

template'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/template.rb:155:in `render'

 | /home/foreman/gems/gems/deface-1.3.0/lib/deface/action_view_extensions.rb:41:in `render'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:52:in `b

lock (2 levels) in render_template'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/abstract_renderer.rb:42:in `b

lock in instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `block i

n instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications/instrumenter.rb:21

:in `instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `instrum

ent'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/abstract_renderer.rb:41:in `i

nstrument'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:51:in `b

lock in render_template'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:59:in `r

ender_with_layout'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:50:in `r

ender_template'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/template_renderer.rb:14:in `r

ender'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/renderer.rb:42:in `render_tem

plate'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/renderer/renderer.rb:23:in `render'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/rendering.rb:103:in `_render_template'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/streaming.rb:217:in `_rend

er_template'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/rendering.rb:83:in `render_to_body'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rendering.rb:52:in `render

_to_body'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/renderers.rb:141:in `rende

r_to_body'
 | /home/foreman/gems/gems/actionpack-5.1.4/lib/abstract_controller/rendering.rb:24:in `render'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rendering.rb:36:in `render

'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:44:in `

block (2 levels) in render'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/core_ext/benchmark.rb:12:in `blo

ck in ms'

 | /opt/rh/rh-ruby24/root/usr/share/ruby/benchmark.rb:308:in `realtime'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/core_ext/benchmark.rb:12:in `ms'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:44:in `

block in render'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:87:in `

cleanup_view_runtime'

 | /home/foreman/gems/gems/activerecord-5.1.4/lib/active_record/railties/controller_runtime.rb:29:

in `cleanup_view_runtime'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:43:in `

render'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/implicit_render.rb:33:in `

default_render'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/basic_implicit_render.rb:4

:in `block in send_action'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/basic_implicit_render.rb:4

:in `tap'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/basic_implicit_render.rb:4

:in `send_action'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/abstract_controller/base.rb:186:in `process_action

'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rendering.rb:30:in `proces

s_action'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/abstract_controller/callbacks.rb:20:in `block in p

rocess_action'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:108:in `block in ru

n_callbacks'

 | /home/foreman/git/foreman/app/controllers/concerns/application_shared.rb:15:in `set_timezone'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in ru

n_callbacks'

 | /home/foreman/git/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in ru

n_callbacks'

 | /home/foreman/git/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in `

set_topbar_sweeper_controller'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in ru

n_callbacks'

 | /home/foreman/gems/gems/audited-4.7.0/lib/audited/sweeper.rb:14:in `around'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in ru

n_callbacks'

 | /home/foreman/gems/gems/audited-4.7.0/lib/audited/sweeper.rb:14:in `around'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:117:in `block in ru

n_callbacks'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:135:in `run_callbac

ks'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/abstract_controller/callbacks.rb:19:in `process_ac

tion'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/rescue.rb:20:in `process_a

ction'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:32:in `

block in process_action'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `block i

n instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications/instrumenter.rb:21

:in `instrument'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/notifications.rb:166:in `instrum

ent'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/instrumentation.rb:30:in `

process_action'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal/params_wrapper.rb:252:in `

process_action'
 | /home/foreman/gems/gems/activerecord-5.1.4/lib/active_record/railties/controller_runtime.rb:22:

in `process_action'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/abstract_controller/base.rb:124:in `process'

 | /home/foreman/gems/gems/actionview-5.1.4/lib/action_view/rendering.rb:30:in `process'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal.rb:189:in `dispatch'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_controller/metal.rb:253:in `dispatch'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:49:in `dispat

ch'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:31:in `serve'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:50:in `block in 

serve'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:33:in `each'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/journey/router.rb:33:in `serve'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/routing/route_set.rb:834:in `call'

 | /home/foreman/gems/gems/apipie-rails-0.5.7/lib/apipie/static_dispatcher.rb:65:in `call'

 | /home/foreman/gems/gems/apipie-rails-0.5.7/lib/apipie/extractor/recorder.rb:136:in `call'

 | /home/foreman/git/foreman/lib/middleware/telemetry.rb:9:in `call'

 | /home/foreman/gems/gems/apipie-rails-0.5.7/lib/apipie/middleware/checksum_in_headers.rb:27:in `

call'

 | /home/foreman/git/foreman/lib/middleware/catch_json_parse_errors.rb:8:in `call'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/etag.rb:25:in `call'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/conditional_get.rb:25:in `call'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/head.rb:12:in `call'

 | /home/foreman/git/foreman/lib/middleware/logging_context.rb:23:in `call'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/session/abstract/id.rb:232:in `context'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/session/abstract/id.rb:226:in `call'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/cookies.rb:613:in `call

'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/callbacks.rb:26:in `blo

ck in call'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/callbacks.rb:97:in `run_callback

s'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/callbacks.rb:24:in `cal

l'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/debug_exceptions.rb:59:

in `call'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/show_exceptions.rb:31:i

n `call'

 | /home/foreman/gems/gems/railties-5.1.4/lib/rails/rack/logger.rb:36:in `call_app'

 | /home/foreman/gems/gems/railties-5.1.4/lib/rails/rack/logger.rb:26:in `call'

 | /home/foreman/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails/quiet_assets.rb:13:in `call'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/remote_ip.rb:79:in `cal

l'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/request_id.rb:25:in `ca

ll'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/method_override.rb:22:in `call'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/runtime.rb:22:in `call'

 | /home/foreman/gems/gems/activesupport-5.1.4/lib/active_support/cache/strategy/local_cache_middl

eware.rb:27:in `call'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/executor.rb:12:in `call

'

 | /home/foreman/gems/gems/actionpack-5.1.4/lib/action_dispatch/middleware/static.rb:125:in `call'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/sendfile.rb:111:in `call'

 | /home/foreman/gems/gems/secure_headers-3.7.3/lib/secure_headers/middleware.rb:12:in `call'

 | /home/foreman/gems/gems/railties-5.1.4/lib/rails/engine.rb:522:in `call'

 | /home/foreman/gems/gems/railties-5.1.4/lib/rails/railtie.rb:185:in `public_send'

 | /home/foreman/gems/gems/railties-5.1.4/lib/rails/railtie.rb:185:in `method_missing'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/urlmap.rb:68:in `block in call'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/urlmap.rb:53:in `each'

 | /home/foreman/gems/gems/rack-2.0.4/lib/rack/urlmap.rb:53:in `call'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/rack/thread_handler_extension.rb:89:in `p

rocess_request'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler/thread_handler.rb:149:in 

`accept_and_process_next_request'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler/thread_handler.rb:110:in 

`main_loop'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/request_handler.rb:414:in `block (3 level
s) in start_threads'

 | /root/.gem/gems/passenger-5.0.7/lib/phusion_passenger/utils.rb:111:in `block in create_thread_a

nd_abort_on_exception'

 | /home/foreman/gems/gems/logging-2.2.2/lib/logging/diagnostic_context.rb:474:in `block in create

_with_logging_context'

2018-04-09T09:34:43 [I|app|4d492]   Rendered /home/foreman/gems/bundler/gems/foreman_remote_execut

ion-dd29b6ccd1ac/app/views/job_templates/_import_job_template_modal.html.erb (5.4ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered /home/foreman/gems/bundler/gems/foreman_remote_execut

ion-dd29b6ccd1ac/app/views/job_templates/index.html.erb within layouts/application (48.2ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered common/_searchbar.html.erb (1.3ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered layouts/_application_content.html.erb (2.4ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendering layouts/base.html.erb

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_organization_dropdown.html.erb (4.8ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_location_dropdown.html.erb (3.4ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_org_switcher.html.erb (9.0ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_user_dropdown.html.erb (1.7ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_topbar.html.erb (11.9ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_menu.html.erb (3.8ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_menu.html.erb (4.3ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_menu.html.erb (3.3ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_menu.html.erb (3.0ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_menu.html.erb (3.9ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_taxonomies.html.erb (3.9ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_taxonomies.html.erb (6.1ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_vertical_menu.html.erb (1.4ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered home/_navbar.html.erb (33.6ms)

2018-04-09T09:34:43 [I|app|4d492]   Rendered layouts/base.html.erb (49.2ms)

2018-04-09T09:34:43 [I|app|4d492] Completed 200 OK in 138ms (Views: 100.1ms | ActiveRecord: 6.1ms)

Associated revisions

Revision 975823b1 - 07/30/2018 07:50 AM - Ido Kanner

Fixes #23168 - undefined method `split' for nil:NilClass

Revision f9cd96fd - 07/30/2018 07:50 AM - Ido Kanner

Fixes #23168 - undefined method `split' for nil:NilClass

History

#1 - 04/09/2018 02:11 PM - Daniel Lobato Garcia

I see on the logs you get this on the index page for Job Invocations. Did you create a Job Invocation in particular, for some template that caused this?

Can you try with 'per_page=2&page=5' and check if the error happens when displaying any link or all links?

#2 - 06/18/2018 07:52 AM - Ido Kanner

- Project changed from Foreman Remote Execution to Foreman

#3 - 06/18/2018 07:54 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5709 added

#4 - 06/18/2018 07:58 AM - Ido Kanner

- Pull request deleted (https://github.com/theforeman/foreman/pull/5709)

#5 - 06/19/2018 04:46 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/5712 added

#6 - 07/30/2018 07:51 AM - Tomer Brisker

- Target version set to 1.20.0

- Triaged set to No

- Fixed in Releases 1.20.0 added

#7 - 07/30/2018 08:01 AM - Ido Kanner
- Status changed from Ready For Testing to Closed

Applied in changeset 975823b1cdadbc2ff9a8b24310f6eb8977707076.

#8 - 10/15/2018 11:23 AM - Tomer Brisker

- Category set to Web Interface

- Assignee set to Ido Kanner
